Bug 1657475 - katello-agent failed because qdrouterd it is not listening to an IPv6 address (just IPv4)
Summary: katello-agent failed because qdrouterd it is not listening to an IPv6 address...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Installer
Version: 6.2.0
Hardware: Unspecified
OS: Linux
unspecified
medium vote
Target Milestone: Released
Assignee: satellite6-bugs
QA Contact: Perry Gagne
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-08 17:20 UTC by Cristian Muresanu
Modified: 2019-10-07 17:19 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:39:23 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:39:31 UTC
Foreman Issue Tracker 12386 None None None 2018-12-11 17:54:30 UTC

Description Cristian Muresanu 2018-12-08 17:20:21 UTC
Description of problem:
katello-agent failed to connect because qdrouterd it is not listening to an IPv6 address (it's listening just to an IPv4 address)

Version-Release number of selected component (if applicable):
Saltelit 6.2

katello-ca-consumer-scgxp0287cld.prod.cloud.ihf-1.0-1.noarch
katello-host-tools-3.0.2-1.el7sat.noarch
katello-host-tools-fact-plugin-3.0.2-1.el7sat.noarch
katello-agent-3.0.2-1.el7sat.noarch

How reproducible:
netstat -tlpn | grep qdrouterd
tcp        0      0 0.0.0.0:5646            0.0.0.0:*               LISTEN      19584/qdrouterd

changing the "listener" in /etc/qpid-dispatch/qdrouterd.conf doesn't work, we'll get the same results.

from

listener {
    addr: 0.0.0.0
    port: 5647
    sasl-mechanisms: ANONYMOUS
    ssl-profile: server
}

to

listener {
    addr: ::
    port: 5647
    sasl-mechanisms: ANONYMOUS
    ssl-profile: server
}

=> Same results, won't work

Steps to Reproduce:
1.
2.
3.

Actual results:
Nov 29 23:51:45 scgsd0003cld goferd: [INFO][worker-0] gofer.messaging.adapter.connect:28 - connecting: proton+amqps://scgxp0287cld.prod.cloud.ihf:5647
Nov 29 23:51:45 scgsd0003cld goferd: [INFO][worker-0] gofer.messaging.adapter.proton.connection:87 - open: URL: amqps://scgxp0287cld.prod.cloud.ihf:5647|SSL: ca: /etc/rhsm/ca/katello-default-ca.pem|key: None|certificate: /etc/pki/consumer/bundle.pem|host-validation: None
Nov 29 23:51:45 scgsd0003cld goferd: [INFO][worker-0] root:498 - connecting to scgxp0287cld.prod.cloud.ihf:5647...
Nov 29 23:51:45 scgsd0003cld goferd: [INFO][worker-0] root:542 - Disconnected
Nov 29 23:51:45 scgsd0003cld goferd: [ERROR][worker-0] gofer.messaging.adapter.connect:33 - connect: proton+amqps://scgxp0287cld.prod.cloud.ihf:5647, failed: Connection amqps://scgxp0287cld.prod.cloud.ihf:5647 disconnected
Nov 29 23:51:45 scgsd0003cld goferd: [INFO][worker-0] gofer.messaging.adapter.connect:35 - retry in 12 seconds

Expected results:
No Error

Additional info:

Comment 3 Perry Gagne 2019-01-15 21:26:03 UTC
Verified fix in 6.5 snap 11.

qdrouterd now listens on IPv6:

# netstat -tlpn | grep qdrouterd
tcp        0      0 0.0.0.0:5646            0.0.0.0:*               LISTEN      28233/qdrouterd
tcp        0      0 0.0.0.0:5647            0.0.0.0:*               LISTEN      28233/qdrouterd
tcp6       0      0 :::5646                 :::*                    LISTEN      28233/qdrouterd
tcp6       0      0 :::5647                 :::*                    LISTEN      28233/qdrouterd

Comment 6 errata-xmlrpc 2019-05-14 12:39:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.